[Pbuilder-maint] pbuilder CVS update: pbuildd/scripts/cb gcc-3.4 gcc-3.4.diff gcc-4.0 gcj-4.1 gcj-4.1.diff gnat swig1.3

pbuilder CVS Commit pbuilder-maint at lists.alioth.debian.org
Thu May 11 09:49:31 UTC 2006


  User: schepler
  Date: 06/05/11 09:49:31

  Modified:    scripts/cb gcc-3.4 gnat
  Added:       scripts/cb gcc-3.4.diff gcc-4.0 gcj-4.1 gcj-4.1.diff swig1.3
  Log:
  More syntax fixes.
  
  New cb scripts for gcc-4.0, gcj-4.1, swig1.3.
  
  Add a patch for gcc-3.4's cb script, to force building with system
  gcc the first time instead of gcc-3.4.
  
  Revision  Changes    Path
  1.2       +5 -5      pbuildd/scripts/cb/gcc-3.4
  
  CVSWEB Options: -------------------
  
  CVSWeb: Annotate this file:            http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gcc-3.4?annotate=1.2&cvsroot=
  
  CVSWeb: View this file:             http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gcc-3.4?rev=1.2&content-type=text/x-cvsweb-markup&cvsroot=
  
  CVSWeb: Diff to previous version:   http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gcc-3.4.diff?r1=1.2&r2=1.1&cvsroot=
  
  -----------------------------------
  
  Index: gcc-3.4
  ===================================================================
  RCS file: /cvsroot/pbuilder/pbuildd/scripts/cb/gcc-3.4,v
  retrieving revision 1.1
  retrieving revision 1.2
  diff -u -r1.1 -r1.2
  --- gcc-3.4	3 Apr 2006 09:01:32 -0000	1.1
  +++ gcc-3.4	11 May 2006 09:49:30 -0000	1.2
  @@ -1,17 +1,17 @@
   #! /bin/sh -e
   
  -# For gcc-3.4's self-build-dependency
  +# For gcc-3.4's self-build-dependency.
  +
   . /var/cache/pbuildd/scripts/cb-functions
   
   inst_pkgs dpkg-dev libc6-dev libc6-dev-amd64 lib64gcc1 m4 autoconf2.13 \
       autoconf automake1.4 automake1.7 libtool autotools-dev gawk \
       dejagnu expect-tcl8.3 bzip2 binutils debhelper gperf bison flex gettext \
  -    texinfo zlib1g-dev libgc-dev gnat locales procps sharutils \
  -    libncurses5-dev tetex-bin libgmp3-dev help2man realpath \
  -    lsb-release doxygen graphviz gsfonts-x11
  +    texinfo zlib1g-dev locales procps sharutils libncurses5-dev tetex-bin \
  +    libgmp3-dev help2man realpath lsb-release doxygen graphviz gsfonts-x11
   inst_src gcc-3.4
   
  -if ! $CHROOTEXEC /bin/bash -c "cd /tmp/gcc-3.4/*/; $SUTOUSER dpkg-buildpackage -d -uc -us $DEBBUILDOPTS"; then
  +if ! $CHROOTEXEC /bin/bash -c "cd /tmp/gcc-3.4/*/; $SUTOUSER \"dpkg-buildpackage -d -uc -us $DEBBUILDOPTS\""; then
       echo "pbuilder: Failed autobuilding of package" >&2
       exit 1
   fi
  
  
  
  1.2       +1 -1      pbuildd/scripts/cb/gnat
  
  CVSWEB Options: -------------------
  
  CVSWeb: Annotate this file:            http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gnat?annotate=1.2&cvsroot=
  
  CVSWeb: View this file:             http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gnat?rev=1.2&content-type=text/x-cvsweb-markup&cvsroot=
  
  CVSWeb: Diff to previous version:   http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gnat.diff?r1=1.2&r2=1.1&cvsroot=
  
  -----------------------------------
  
  Index: gnat
  ===================================================================
  RCS file: /cvsroot/pbuilder/pbuildd/scripts/cb/gnat,v
  retrieving revision 1.1
  retrieving revision 1.2
  diff -u -r1.1 -r1.2
  --- gnat	3 Apr 2006 09:01:32 -0000	1.1
  +++ gnat	11 May 2006 09:49:30 -0000	1.2
  @@ -8,7 +8,7 @@
   download_inst_pkgs gnat libgnat-3.15p-1 libgnatprj-3.15p libgnatvsn-3.15p
   inst_src gnat
   
  -if ! $CHROOTEXEC /bin/bash -c "cd /tmp/gnat/*/; $SUTOUSER dpkg-buildpackage -uc -us $DEBBUILDOPTS"; then
  +if ! $CHROOTEXEC /bin/bash -c "cd /tmp/gnat/*/; $SUTOUSER \"dpkg-buildpackage -uc -us $DEBBUILDOPTS\""; then
       echo "pbuilder: Failed autobuilding of package" >&2
       exit 1
   fi
  
  
  
  1.1                  pbuildd/scripts/cb/gcc-3.4.diff
  
  CVSWEB Options: -------------------
  
  CVSWeb: Annotate this file:            http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gcc-3.4.diff?annotate=1.1&cvsroot=
  
  CVSWeb: View this file:             http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gcc-3.4.diff?rev=1.1&content-type=text/x-cvsweb-markup&cvsroot=
  
  -----------------------------------
  
  Index: gcc-3.4.diff
  ===================================================================
  diff -urN gcc-3.3-3.3.6.old/debian/rules2 gcc-3.3-3.3.6/debian/rules2
  --- gcc-3.3-3.3.6.old/debian/rules2	2006-01-10 17:57:13.000000000 +0100
  +++ gcc-3.3-3.3.6/debian/rules2	2006-01-10 17:58:09.000000000 +0100
  @@ -35,7 +35,7 @@
   ifeq ($(with_ada),yes)
     CC		= gnatgcc $(CPPFLAGS)
   else
  -  CC		= gcc-3.4 $(CPPFLAGS)
  +  CC		= gcc $(CPPFLAGS)
   endif
   
   ifdef DEB_CROSS
  
  
  
  1.1                  pbuildd/scripts/cb/gcc-4.0
  
  CVSWEB Options: -------------------
  
  CVSWeb: Annotate this file:            http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gcc-4.0?annotate=1.1&cvsroot=
  
  CVSWeb: View this file:             http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gcc-4.0?rev=1.1&content-type=text/x-cvsweb-markup&cvsroot=
  
  -----------------------------------
  
  Index: gcc-4.0
  ===================================================================
  #! /bin/sh -e
  
  # For gcc-4.0 -> gnat-4.0 self Build-Depends.
  
  . /var/cache/pbuildd/scripts/cb-functions
  
  inst_pkgs dpkg-dev libc6-dev libc6-dev-amd64 lib64gcc1 lib64z1-dev m4 \
      autoconf automake1.9 libtool autogen gawk dejagnu expect-tcl8.3 bzip2 \
      binutils debhelper gperf bison flex gettext texinfo zlib1g-dev \
      libmpfr-dev locales procps sharutils gnat realpath chrpath lsb-release \
      doxygen graphviz gsfonts-x11
  inst_src gcc-4.0
  
  if ! $CHROOTEXEC /bin/bash -c "cd /tmp/gcc-4.0/*/; $SUTOUSER \"dpkg-buildpackage -d -uc -us $DEBBUILDOPTS\""; then
      echo "pbuilder: Failed autobuilding of package" >&2
      exit 1
  fi
  
  pkgs_done gcc-4.0
  
  
  
  1.1                  pbuildd/scripts/cb/gcj-4.1
  
  CVSWEB Options: -------------------
  
  CVSWeb: Annotate this file:            http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gcj-4.1?annotate=1.1&cvsroot=
  
  CVSWeb: View this file:             http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gcj-4.1?rev=1.1&content-type=text/x-cvsweb-markup&cvsroot=
  
  -----------------------------------
  
  Index: gcj-4.1
  ===================================================================
  #! /bin/sh -e
  
  # For gcj-4.1 -> gjdoc -> antlr -> kaffe -> ecj-bootstrap -> gcj-4.1.
  
  . /var/cache/pbuildd/scripts/cb-functions
  
  inst_pkgs dpkg-dev libc6-dev libc6-dev-amd64 lib64gcc1 lib64z1-dev m4 \
      autoconf automake1.9 libtool autogen gawk dejagnu expect-tcl8.3 bzip2 \
      binutils debhelper gperf bison flex gettext texinfo zlib1g-dev \
      libmpfr-dev locales procps sharutils libasound2-dev libxtst-dev \
      libxt-dev libgtk2.0-dev libart-2.0-dev libcairo2-dev gcc-4.1-source \
      realpath chrpath lsb-release doxygen graphviz gsfonts-x11
  inst_src gcj-4.1
  
  if ! $CHROOTEXEC /bin/bash -c "cd /tmp/gcj-4.1/*/; $SUTOUSER \"dpkg-buildpackage -d -uc -us $DEBBUILDOPTS\""; then
      echo "pbuilder: Failed autobuilding of package" >&2
      exit 1
  fi
  
  pkgs_done gcj-4.1
  
  
  
  1.1                  pbuildd/scripts/cb/gcj-4.1.diff
  
  CVSWEB Options: -------------------
  
  CVSWeb: Annotate this file:            http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gcj-4.1.diff?annotate=1.1&cvsroot=
  
  CVSWeb: View this file:             http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/gcj-4.1.diff?rev=1.1&content-type=text/x-cvsweb-markup&cvsroot=
  
  -----------------------------------
  
  Index: gcj-4.1.diff
  ===================================================================
  diff -urN gcj-4.1-4.1.0.old/debian/rules.d/binary-java.mk gcj-4.1-4.1.0/debian/rules.d/binary-java.mk
  --- gcj-4.1-4.1.0.old/debian/rules.d/binary-java.mk	2006-04-19 10:56:36.000000000 +0000
  +++ gcj-4.1-4.1.0/debian/rules.d/binary-java.mk	2006-04-19 10:57:54.000000000 +0000
  @@ -22,7 +22,7 @@
   
     ifeq ($(with_javadev),yes)
       arch_binaries  := $(arch_binaries) libgcjdev libgcjdbg
  -    indep_binaries := $(indep_binaries) libgcjsrc libgcjdoc
  +    indep_binaries := $(indep_binaries) libgcjsrc
     endif
   
     ifeq ($(with_java32),yes)
  
  
  
  1.1                  pbuildd/scripts/cb/swig1.3
  
  CVSWEB Options: -------------------
  
  CVSWeb: Annotate this file:            http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/swig1.3?annotate=1.1&cvsroot=
  
  CVSWeb: View this file:             http://cvs.alioth.debian.org/cgi-bin/cvsweb.cgi/pbuilder/pbuildd/scripts/cb/swig1.3?rev=1.1&content-type=text/x-cvsweb-markup&cvsroot=
  
  -----------------------------------
  
  Index: swig1.3
  ===================================================================
  #! /bin/sh -e
  
  # For swig1.3 -> gcj -> graphviz -> swig1.3.
  
  . /var/cache/pbuildd/scripts/cb-functions
  
  inst_pkgs debhelper tcl8.4-dev tk8.4-dev libperl-dev bison python-dev \
      ruby1.8 ruby1.8-dev guile-1.6-dev ocaml libchicken-dev libpcre3-dev
  inst_src swig1.3
  
  if ! $CHROOTEXEC /bin/bash -c "cd /tmp/swig1.3/*/; $SUTOUSER \"dpkg-buildpackage -d -uc -us $DEBBUILDOPTS\""; then
      echo "pbuilder: Failed autobuilding of package" >&2
      exit 1
  fi
  
  pkgs_done swig1.3
  
  
  



More information about the Pbuilder-maint mailing list